Package com.collibra.dgc.core.api.dto.workflow

# Class FindWorkflowTasksRequest

Object
PagedRequest
FindWorkflowTasksRequest

All Implemented Interfaces:
  `Serializable`

public class FindWorkflowTasksRequest extends PagedRequest
Represents all parameters that can be used to search for workflow tasks.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `FindWorkflowTasksRequest.Builder`
  `static enum`
  `FindWorkflowTasksRequest.BusinessItemType`
  This enum identifies the type of business item.
  `static enum`
  `FindWorkflowTasksRequest.SortField`
  This enum identifies on what fields it is possible to order tasks.
  `static enum`
  `FindWorkflowTasksRequest.WorkflowTaskUserRelation`

- ## Field Summary

  ### Fields inherited from class PagedRequest

  `countLimit, limit, offset`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindWorkflowTasksRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindWorkflowTasksRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getBusinessItemId()`
  The ID of the business item.
  `String`
  `getBusinessItemName()`
  The part of the name of the business item.
  `FindWorkflowTasksRequest.BusinessItemType`
  `getBusinessItemType()`
  The type of the business item.
  `Long`
  `getCreateDate()`
  The creation date of the task.
  `String`
  `getDescription()`
  The part of the task description.
  `Long`
  `getDueDate()`
  The due date of the task.
  `FindWorkflowTasksRequest.SortField`
  `getSortField()`
  The field on which the results are sorted.
  `SortOrder`
  `getSortOrder()`
  The sorting order.
  `String`
  `getTaskIdPhrase()`
  The part of the id of the task.
  `String`
  `getTitle()`
  The title/name of the task.
  `String`
  `getType()`
  The task type.
  `UUID`
  `getUserId()`
  The ID of the user for which the tasks need to be returned.
  `FindWorkflowTasksRequest.WorkflowTaskUserRelation`
  `getWorkflowTaskUserRelation()`
  The type of relation between user and searched tasks.
  `int`
  `hashCode()`
  `void`
  `setBusinessItemId(UUID businessItemId)`
  The ID of the business item.
  `void`
  `setBusinessItemName(String businessItemName)`
  The part of the name of the business item.
  `void`
  `setBusinessItemType(FindWorkflowTasksRequest.BusinessItemType businessItemType)`
  The type of the business item.
  `void`
  `setCreateDate(Long createDate)`
  The creation date of the task.
  `void`
  `setDescription(String description)`
  The part of the task description.
  `void`
  `setDueDate(Long dueDate)`
  The due date of the task.
  `void`
  `setSortField(FindWorkflowTasksRequest.SortField sortField)`
  The field on which the results are sorted.
  `void`
  `setSortOrder(SortOrder sortOrder)`
  The sorting order.
  `void`
  `setTaskIdPhrase(String taskIdPhrase)`
  The part of the id of the task.
  `void`
  `setTitle(String title)`
  The title/name of the task.
  `void`
  `setType(String type)`
  The task type.
  `void`
  `setUserId(UUID userId)`
  The ID of the user for which the tasks need to be returned.
  `void`
  `setWorkflowTaskUserRelation(FindWorkflowTasksRequest.WorkflowTaskUserRelation workflowTaskUserRelation)`
  The type of relation between user and searched tasks.
  `String`
  `toString()`

  ### Methods inherited from class PagedRequest

  `getCountLimit, getLimit, getOffset, isPagingActive, setCountLimit, setLimit, setOffset`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FindWorkflowTasksRequest

    public FindWorkflowTasksRequest()

- ## Method Details

  - ### builder

    public static FindWorkflowTasksRequest.Builder builder()

  - ### getBusinessItemId

    public UUID getBusinessItemId()
    The ID of the business item.

  - ### getBusinessItemType

    public FindWorkflowTasksRequest.BusinessItemType getBusinessItemType()
    The type of the business item.

  - ### getTaskIdPhrase

    public String getTaskIdPhrase()
    The part of the id of the task.

  - ### getWorkflowTaskUserRelation

    public FindWorkflowTasksRequest.WorkflowTaskUserRelation getWorkflowTaskUserRelation()
    The type of relation between user and searched tasks.

    This could be either set to search for all the tasks the user is permitted to view or just those assigned to the user.

  - ### getBusinessItemName

    public String getBusinessItemName()
    The part of the name of the business item.

  - ### getDescription

    public String getDescription()
    The part of the task description.

  - ### getUserId

    public UUID getUserId()
    The ID of the user for which the tasks need to be returned. If empty, the current logged in user will be used.

  - ### getCreateDate

    public Long getCreateDate()
    The creation date of the task. It is the timestamp (in UTC time standard).

  - ### getDueDate

    public Long getDueDate()
    The due date of the task. It is the timestamp (in UTC time standard).

  - ### getTitle

    public String getTitle()
    The title/name of the task.

  - ### getType

    public String getType()
    The task type.

  - ### getSortField

    public FindWorkflowTasksRequest.SortField getSortField()
    The field on which the results are sorted. On due date by default. For possible values see `FindWorkflowTasksRequest.SortField`.

  - ### getSortOrder

    public SortOrder getSortOrder()
    The sorting order.

  - ### setBusinessItemId

    public void setBusinessItemId(UUID businessItemId)
    The ID of the business item.

  - ### setBusinessItemType

    public void setBusinessItemType(FindWorkflowTasksRequest.BusinessItemType businessItemType)
    The type of the business item.

  - ### setTaskIdPhrase

    public void setTaskIdPhrase(String taskIdPhrase)
    The part of the id of the task.

  - ### setWorkflowTaskUserRelation

    public void setWorkflowTaskUserRelation(FindWorkflowTasksRequest.WorkflowTaskUserRelation workflowTaskUserRelation)
    The type of relation between user and searched tasks.

    This could be either set to search for all the tasks the user is permitted to view or just those assigned to the user.

  - ### setBusinessItemName

    public void setBusinessItemName(String businessItemName)
    The part of the name of the business item.

  - ### setDescription

    public void setDescription(String description)
    The part of the task description.

  - ### setUserId

    public void setUserId(UUID userId)
    The ID of the user for which the tasks need to be returned. If empty, the current logged in user will be used.

  - ### setCreateDate

    public void setCreateDate(Long createDate)
    The creation date of the task. It is the timestamp (in UTC time standard).

  - ### setDueDate

    public void setDueDate(Long dueDate)
    The due date of the task. It is the timestamp (in UTC time standard).

  - ### setTitle

    public void setTitle(String title)
    The title/name of the task.

  - ### setType

    public void setType(String type)
    The task type.

  - ### setSortField

    public void setSortField(FindWorkflowTasksRequest.SortField sortField)
    The field on which the results are sorted. On due date by default. For possible values see `FindWorkflowTasksRequest.SortField`.

  - ### setSortOrder

    public void setSortOrder(SortOrder sortOrder)
    The sorting order.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `PagedRequest`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `PagedRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `PagedRequest`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `PagedRequest`